> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.vapi.ai/llms.txt.
> For full documentation content, see https://docs.vapi.ai/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vapi.ai/_mcp/server.

# Update Scorecard

PATCH https://api.vapi.ai/observability/scorecard/{id}
Content-Type: application/json

Reference: https://docs.vapi.ai/api-reference/observability-scorecard/scorecard-controller-update

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api
  version: 1.0.0
paths:
  /observability/scorecard/{id}:
    patch:
      operationId: scorecard-controller-update
      summary: Update Scorecard
      tags:
        - subpackage_observabilityScorecard
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Retrieve your API Key from [Dashboard](dashboard.vapi.ai).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Scorecard'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateScorecardDTO'
servers:
  - url: https://api.vapi.ai
components:
  schemas:
    ScorecardMetricConditionsItems:
      type: object
      properties: {}
      title: ScorecardMetricConditionsItems
    ScorecardMetric:
      type: object
      properties:
        structuredOutputId:
          type: string
          description: >-
            This is the unique identifier for the structured output that will be
            used to evaluate the scorecard.

            The structured output must be of type number or boolean only for
            now.
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/ScorecardMetricConditionsItems'
          description: >-
            These are the conditions that will be used to evaluate the
            scorecard.

            Each condition will have a comparator, value, and points that will
            be used to calculate the final score.

            The points will be added to the overall score if the condition is
            met.

            The overall score will be normalized to a 100 point scale to ensure
            uniformity across different scorecards.
      required:
        - structuredOutputId
        - conditions
      title: ScorecardMetric
    UpdateScorecardDTO:
      type: object
      properties:
        name:
          type: string
          description: >-
            This is the name of the scorecard. It is only for user reference and
            will not be used for any evaluation.
        description:
          type: string
          description: >-
            This is the description of the scorecard. It is only for user
            reference and will not be used for any evaluation.
        metrics:
          type: array
          items:
            $ref: '#/components/schemas/ScorecardMetric'
          description: >-
            These are the metrics that will be used to evaluate the scorecard.

            Each metric will have a set of conditions and points that will be
            used to generate the score.
        assistantIds:
          type: array
          items:
            type: string
          description: >-
            These are the assistant IDs that this scorecard is linked to.

            When linked to assistants, this scorecard will be available for
            evaluation during those assistants' calls.
      title: UpdateScorecardDTO
    Scorecard:
      type: object
      properties:
        id:
          type: string
          description: This is the unique identifier for the scorecard.
        orgId:
          type: string
          description: >-
            This is the unique identifier for the org that this scorecard
            belongs to.
        createdAt:
          type: string
          format: date-time
          description: >-
            This is the ISO 8601 date-time string of when the scorecard was
            created.
        updatedAt:
          type: string
          format: date-time
          description: >-
            This is the ISO 8601 date-time string of when the scorecard was last
            updated.
        name:
          type: string
          description: >-
            This is the name of the scorecard. It is only for user reference and
            will not be used for any evaluation.
        description:
          type: string
          description: >-
            This is the description of the scorecard. It is only for user
            reference and will not be used for any evaluation.
        metrics:
          type: array
          items:
            $ref: '#/components/schemas/ScorecardMetric'
          description: >-
            These are the metrics that will be used to evaluate the scorecard.

            Each metric will have a set of conditions and points that will be
            used to generate the score.
        assistantIds:
          type: array
          items:
            type: string
          description: >-
            These are the assistant IDs that this scorecard is linked to.

            When linked to assistants, this scorecard will be available for
            evaluation during those assistants' calls.
      required:
        - id
        - orgId
        - createdAt
        - updatedAt
        - metrics
      title: Scorecard
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: Retrieve your API Key from [Dashboard](dashboard.vapi.ai).

```

## SDK Code Examples

```python
from vapi import Vapi

client = Vapi(
    token="YOUR_TOKEN_HERE",
)

client.observability_scorecard.scorecard_controller_update(
    id="id",
)

```

```go
package example

import (
    context "context"

    serversdkgo "github.com/VapiAI/server-sdk-go"
    client "github.com/VapiAI/server-sdk-go/client"
    option "github.com/VapiAI/server-sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "YOUR_TOKEN_HERE",
        ),
    )
    request := &serversdkgo.UpdateScorecardDto{
        Id: "id",
    }
    client.ObservabilityScorecard.ScorecardControllerUpdate(
        context.TODO(),
        request,
    )
}

```